# $Revision: 1.146.2.8 $, $Date: 2003/09/11 22:28:42 $
#
# Conditional build:
# _with_innodb	       - with InnoDB backend
# _with_bdb	       - with Berkeley DB backend
# _with_small_fulltext - with fulltext indexes lowered from 4 to 3 characters
#
#%%define	_with_innodb	1
#%%define	_with_bdb	1
#%%define	_with_small_fulltext	1
#
%include	/usr/lib/rpm/macros.perl
Summary:	MySQL: a very fast and reliable SQL database engine
Summary(fr):	MySQL: un serveur SQL rapide et fiable
Summary(pl):	MySQL: bardzo szybka i niezawodna baza danych (SQL)
Summary(pt_BR):	MySQL: Um servidor SQL rpido e confivel
Summary(ru):	MySQL -  SQL-
Summary(uk):	MySQL -  SQL-
Summary(zh_CN):	MySQLݿ
Name:		mysql
Group:		Applications/Databases
Version:	3.23.57
Release:	3
License:	GPL/LGPL
#http://www.mysql.com/Downloads/MySQL-3.23/mysql-3.23.54a.tar.gz shows mirrors list
Source0:	ftp://gd.tuwien.ac.at/db/mysql/Downloads/MySQL-3.23/%{name}-%{version}.tar.gz
# Source0-md5:	892f7d97af1ce7502e89d824031abd05
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}d.conf
Patch0:		%{name}-info.patch
Patch1:		%{name}-no_libnsl.patch
Patch2:		%{name}-opt.patch
Patch3:		%{name}-moreincludes.patch
Patch4:		%{name}-info-res.patch
Patch5:		%{name}-noproc.patch
Patch6:		%{name}-fulltext-small.patch
Patch7:		%{name}-c++.patch
Patch8:		%{name}-manfixes.patch
Patch9:		%{name}-buffer.patch
Icon:		mysql.gif
URL:		http://www.mysql.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 4.2
BuildRequires:	perl-DBI
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov
BuildRequires:	texinfo
BuildRequires:	zlib-devel
PreReq:		rc-scripts >= 0.2.0
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
Requires:	%{name}-libs = %{version}
Provides:	MySQL-server
Provides:	msqlormysql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	MySQL
Obsoletes:	mysql-server

%define		_libexecdir	%{_sbindir}
%define		_localstatedir	/var/lib/mysql
%define		_mysqlhome	/home/services/mysql

%define		_gcc_ver	%(%{__cc} -dumpversion | cut -b 1)
%if %{_gcc_ver} == 2
%define		__cxx		"%{__cc}"
%endif

%description
MySQL is a true multi-user, multi-threaded SQL (Structured Query
Language) database server. SQL is the most popular database language
in the world. MySQL is a client/server implementation that consists of
a server daemon mysqld and many different client programs/libraries.

The main goals of MySQL are speed, robustness and easy to use. MySQL
was originally developed because we at Tcx needed a SQL server that
could handle very big databases with magnitude higher speed than what
any database vendor could offer to us. We have now been using MySQL
since 1996 in a environment with more than 40 databases, 10,000
tables, of which more than 500 have more than 7 million rows. This is
about 50G of mission critical data.

The base upon which MySQL is built is a set of routines that have been
used in a highly demanding production environment for many years.
While MySQL is still in development, it already offers a rich and
highly useful function set.

%description -l fr
MySQL est un serveur de bases de donnees SQL vraiment multi-usagers et
multi-taches. Le langage SQL est le langage de bases de donnees le
plus populaire au monde. MySQL est une implementation client/serveur
qui consiste en un serveur (mysqld) et differents
programmes/bibliotheques clientes.

Les objectifs principaux de MySQL sont: vitesse, robustesse et
facilite d'utilisation. MySQL fut originalement developpe parce que
nous, chez Tcx, avions besoin d'un serveur SQL qui pouvait gerer de
tres grandes bases de donnees avec une vitesse d'un ordre de magnitude
superieur a ce que n'importe quel vendeur pouvait nous offrir. Nous
utilisons MySQL depuis 1996 dans un environnement avec plus de 40
bases de donnees, 10000 tables, desquelles plus de 500 ont plus de 7
millions de lignes. Ceci represente environ 50G de donnees critiques.

A la base de la conception de MySQL, on retrouve une serie de routines
qui ont ete utilisees dans un environnement de production pendant
plusieurs annees. Meme si MySQL est encore en developpement, il offre
deja une riche et utile serie de fonctions.

%description -l pl
MySQL to wielowtkowy serwer baz danych SQL.

Gwne zalety MySQL to szybko, potga i atwo uytkowania. MySQL
jest wykorzystywany m.in. do obsugi 40 baz danych, 10 000 tabel,
gdzie kada tabela zawiera 7 milionw pozycji. To ok 50GB danych.

%description -l pt_BR
O MySQL  um servidor de banco de dados SQL realmente multiusurio e
multi-tarefa. A linguagem SQL  a mais popular linguagem para banco de
dados no mundo. O MySQL  uma implementao cliente/servidor que
consiste de um servidor chamado mysqld e diversos
programas/bibliotecas clientes. Os principais objetivos do MySQL so:
velocidade, robustez e facilidade de uso. O MySQL foi originalmente
desenvolvido porque ns na Tcx precisvamos de um servidor SQL que
pudesse lidar com grandes bases de dados e com uma velocidade muito
maior do que a que qualquer vendedor podia nos oferecer. Estamos
usando o MySQL desde 1996 em um ambiente com mais de 40 bases de dados
com 10.000 tabelas, das quais mais de 500 tm mais de 7 milhes de
linhas. Isto  o equivalente a aproximadamente 50G de dados crticos.
A base da construo do MySQL  uma srie de rotinas que foram usadas
em um ambiente de produo com alta demanda por muitos anos. Mesmo o
MySQL estando ainda em desenvolvimento, ele j oferece um conjunto de
funes muito ricas e teis. Veja a documentao para maiores
informaes.

%description -l ru
MySQL -  SQL (Structured Query Language)   . MySQL
  Michael' (monty) Widenius'. .  CREDITS 
        
 MySQL.

%description -l uk
MySQL -  SQL (Structured Query Language)   . MySQL
  Michael' (monty) Widenius'. .  CREDITS 
צ  æ   ˦   ϧ
æ.

%package extras
Summary:	MySQL additional utilities
Summary(pl):	Dodatkowe narzdzia do MySQL
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}

%description extras
MySQL additional utilities except Perl scripts (they may be found in
%{name}-extras-perl package).

%description extras -l pl
Dodatkowe narzdzia do MySQL - z wyjtkiem skryptw Perla (ktre s w
pakiecie %{name}-extras-perl).

%package extras-perl
Summary:	MySQL additional utilities written in Perl
Summary(pl):	Dodatkowe narzdzia do MySQL napisane w Perlu
Group:		Applications/Databases
Requires:	%{name}-extras = %{version}
Requires:	perl(DBD::mysql)

%define		_noautoreqdep	"perl(DBD::mysql)"

%description extras-perl
MySQL additional utilities written in Perl.

%description extras-perl -l pl
Dodatkowe narzdzia do MySQL napisane w Perlu.

%package client
Summary:	MySQL - Client
Summary(pl):	MySQL - Klient
Summary(pt):	MySQL - Cliente
Summary(ru):	MySQL 
Summary(uk):	MySQL ̦
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}
Obsoletes:	MySQL-client

%description client
This package contains the standard MySQL clients.

%description client -l fr
Ce package contient les clients MySQL standards.

%description client -l pl
Standardowe programy klienckie MySQL.

%description client -l pt_BR
Este pacote contm os clientes padro para o MySQL.

%description client -l ru
     MySQL.

%description client -l uk
  ͦ Ԧ ̦ MySQL.

%package libs
Summary:	Shared libraries for MySQL
Summary(pl):	Biblioteki dzielone MySQL
Group:		Applications/Databases
Obsoletes:	libmysql10

%description libs
Shared libraries for MySQL.

%description libs -l pl
Biblioteki dzielone MySQL.

%package devel
Summary:	MySQL - Development header files and libraries
Summary(pl):	MySQL - Pliki nagwkowe i biblioteki dla programistw
Summary(pt):	MySQL - Medies de desempenho
Summary(ru):	MySQL -    
Summary(uk):	MySQL -   ¦̦ ͦ
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}
Obsoletes:	MySQL-devel
Obsoletes:	libmysql10-devel

%description devel
This package contains the development header files and libraries
necessary to develop MySQL client applications.

%description devel -l fr
Ce package contient les fichiers entetes et les librairies de
developpement necessaires pour developper des applications clientes
MySQL.

%description devel -l pl
Pliki nagwkowe i biblioteki konieczne do kompilacji aplikacji
klienckich MySQL.

%description devel -l pt_BR
Este pacote contm os arquivos de cabealho (header files) e
bibliotecas necessrias para desenvolver aplicaes clientes do MySQL.

%description devel -l ru
      ,  
  .

%description devel -l uk
  ͦ   ¦̦ ͦ, ȦΦ 
 -̦Ԧ.

%package static
Summary:	MySQL staic libraris
Summary(pl):	Biblioteki statyczne MySQL
Summary(ru):	MySQL -  
Summary(uk):	MySQL - Φ ¦̦
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	MySQL-static

%description static
MySQL static libraries.

%description static -l pl
Biblioteki statyczne MySQL.

%description static -l ru
     , 
   .

%description static -l uk
  ͦ Φ ¦̦ ͦ, ȦΦ 
 -̦Ԧ.

%package bench
Summary:	MySQL - Benchmarks
Summary(pl):	MySQL - Programy testujce szybko dziaania bazy
Summary(pt):	MySQL - Medies de desempenho
Summary(ru):	MySQL - 
Summary(uk):	MySQL - 
Group:		Applications/Databases
Requires:	%{name} = %{version}
Requires:	%{name}-client
Obsoletes:	MySQL-bench

%description bench
This package contains MySQL benchmark scripts and data.

%description bench -l pl
Programy testujce szybko serwera MySQL.

%description bench -l pt_BR
Este pacote contm medies de desempenho de scripts e dados do MySQL.

%description bench -l ru
        
MySQL.

%description bench -l uk
  ͦ   Φ  æ Ԧ MySQL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%{?_with_small_fulltext:%patch6 -p0}
%if %{_gcc_ver} > 2
%patch7 -p1
%endif
%patch8 -p1
%patch9 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fomit-frame-pointer"
CFLAGS="%{rpmcflags} -fomit-frame-pointer"
%configure \
	-C \
	%{!?debug:--without-debug} \
	%{?_with_innodb:--with-innodb}  \
	%{?_with_bdb:--with-berkeley-db} \
	--without-debug \
	--enable-shared \
	--enable-static \
	--enable-assembler \
	--with-pthread \
	--with-named-curses-libs="-lncurses" \
	--enable-assembler \
	--with-raid \
	--with-extra-charsets=all \
	--with-mysqld-user=mysql \
	--with-unix-socket-path=/var/lib/mysql/mysql.sock \
	--without-readline \
	--without-docs \
	--with-low-memory  \
	--with-comment="PLD Linux Distribution MySQL RPM" \
	--enable-thread-safe-client

%{__make} benchdir=$RPM_BUILD_ROOT%{_datadir}/sql-bench
%{__make} -C Docs mysql.info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d,sysconfig} \
	   $RPM_BUILD_ROOT/var/{log/{archiv,}/mysql,lib/mysql/db} \
	   $RPM_BUILD_ROOT{%{_infodir},%{_mysqlhome}}

%if %{?_with_innodb:1}%{!?_with_innodb:0}
install -d $RPM_BUILD_ROOT/var/lib/mysql/innodb/{data,log}
%endif

%if %{?_with_bdb:1}%{!?_with_bdb:0}
install -d $RPM_BUILD_ROOT/var/lib/mysql/bdb/{log,tmp}
%endif

# Make install
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	benchdir=%{_datadir}/sql-bench

install Docs/mysql.info $RPM_BUILD_ROOT%{_infodir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysql
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/mysql
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/mysql
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/mysqld.conf
touch $RPM_BUILD_ROOT/var/log/mysql/{err,log,update,isamlog}

# remove mysqld's *.po files
find . $RPM_BUILD_ROOT%{_datadir}/%{name} -name \*.txt | xargs -n 100 rm -f
mv -f $RPM_BUILD_ROOT%{_libdir}/mysql/lib* $RPM_BUILD_ROOT%{_libdir}
perl -pi -e 's,%{_libdir}/mysql,%{_libdir},;' $RPM_BUILD_ROOT%{_libdir}/libmysqlclient.la

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid mysql`" ]; then
	if [ "`getgid mysql`" != "89" ]; then
		echo "Error: group mysql doesn't have gid=89. Correct this before installing mysql." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 89 -r -f mysql
fi
if [ -n "`id -u mysql 2>/dev/null`" ]; then
	if [ "`id -u mysql`" != "89" ]; then
		echo "Error: user mysql doesn't have uid=89. Correct this before installing mysql." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -M -o -r -u 89 \
	                -d %{_mysqlhome} -s /bin/sh -g mysql \
	                -c "MySQL Server" mysql 1>&2
fi

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/chkconfig --add mysql
if [ -f /var/lock/subsys/mysql ]; then
	/etc/rc.d/init.d/mysql restart >&2
else
	echo "Run \"/etc/rc.d/init.d/mysql start\" to start mysql." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/mysql ]; then
		/etc/rc.d/init.d/mysql stop
	fi
	/sbin/chkconfig --del mysql
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "0" ]; then
	/usr/sbin/userdel mysql
	/usr/sbin/groupdel mysql
fi

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/logrotate.d/mysql
%attr(754,root,root) /etc/rc.d/init.d/mysql
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/mysql
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/mysqld.conf
%attr(755,root,root) %{_bindir}/isamchk
%attr(755,root,root) %{_bindir}/isamlog
%attr(755,root,root) %{_bindir}/myisamchk
%attr(755,root,root) %{_bindir}/myisamlog
%attr(755,root,root) %{_bindir}/myisampack
%attr(755,root,root) %{_bindir}/pack_isam
%attr(755,root,root) %{_sbindir}/mysqld
%{_mandir}/man1/isamchk.1*
%{_mandir}/man1/isamlog.1*
%{_mandir}/man1/mysqld.1*

%attr(700,mysql,mysql) %{_mysqlhome}
%attr(751,mysql,mysql) /var/lib/mysql
%attr(750,mysql,mysql) %dir /var/log/mysql
%attr(750,mysql,mysql) %dir /var/log/archiv/mysql
%attr(640,mysql,mysql) %config(noreplace) %verify(not md5 size mtime) /var/log/mysql/*

%{_infodir}/mysql.info*
%dir %{_datadir}/mysql
%{_datadir}/mysql/charsets
%{_datadir}/mysql/english
%lang(cs) %{_datadir}/mysql/czech
%lang(da) %{_datadir}/mysql/danish
%lang(de) %{_datadir}/mysql/german
%lang(el) %{_datadir}/mysql/greek
%lang(es) %{_datadir}/mysql/spanish
%lang(et) %{_datadir}/mysql/estonian
%lang(fr) %{_datadir}/mysql/french
%lang(hu) %{_datadir}/mysql/hungarian
%lang(it) %{_datadir}/mysql/italian
%lang(ja) %{_datadir}/mysql/japanese
%lang(ko) %{_datadir}/mysql/korean
%lang(nl) %{_datadir}/mysql/dutch
%lang(nn) %{_datadir}/mysql/norwegian-ny
%lang(no) %{_datadir}/mysql/norwegian
%lang(pl) %{_datadir}/mysql/polish
%lang(pt) %{_datadir}/mysql/portuguese
%lang(ro) %{_datadir}/mysql/romanian
%lang(ru) %{_datadir}/mysql/russian
%lang(sk) %{_datadir}/mysql/slovak
%lang(sv) %{_datadir}/mysql/swedish
%lang(uk) %{_datadir}/mysql/ukrainian

%files extras
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/msql2mysql
%attr(755,root,root) %{_bindir}/mysql_config
%attr(755,root,root) %{_bindir}/mysql_fix_privilege_tables
%attr(755,root,root) %{_bindir}/perror
%attr(755,root,root) %{_bindir}/my_print_defaults
%attr(755,root,root) %{_bindir}/replace
%attr(755,root,root) %{_bindir}/resolveip
%{_mandir}/man1/perror.1*
%{_mandir}/man1/replace.1*

%files extras-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysql_convert_table_format
%attr(755,root,root) %{_bindir}/mysqldumpslow
%attr(755,root,root) %{_bindir}/mysqlhotcopy
%attr(755,root,root) %{_bindir}/mysql_setpermission
%attr(755,root,root) %{_bindir}/mysql_zap
%attr(755,root,root) %{_bindir}/mysql_find_rows
%attr(755,root,root) %{_bindir}/mysqlaccess
%{_mandir}/man1/mysql_zap.1*
%{_mandir}/man1/mysqlaccess.1*

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysql
%attr(755,root,root) %{_bindir}/mysqldump
%attr(755,root,root) %{_bindir}/mysqlimport
%attr(755,root,root) %{_bindir}/mysqlshow
%attr(755,root,root) %{_bindir}/mysqlbinlog
%attr(755,root,root) %{_bindir}/mysqladmin
%{_mandir}/man1/mysql.1*
%{_mandir}/man1/mysqladmin.1*
%{_mandir}/man1/mysqldump.1*
%{_mandir}/man1/mysqlshow.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_bindir}/mysqlbug

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*[^tr].a
%{_includedir}/mysql

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*[tr].a

%files bench
%defattr(644,root,root,755)
%dir %{_datadir}/sql-bench
%{_datadir}/sql-bench/[CDRl]*
%attr(755,root,root) %{_datadir}/sql-bench/[bcgrst]*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysql.spec,v $
Revision 1.146.2.8  2003/09/11 22:28:42  blues
- release 3 - added security buffer patch, the same like in mysql4

Revision 1.146.2.7  2003/07/30 09:13:43  blues
- more macros

Revision 1.146.2.6  2003/06/22 18:29:00  blues
- release 2 - added manfixes patch from RH

Revision 1.146.2.5  2003/06/21 06:13:30  blues
- domain changed too

Revision 1.146.2.4  2003/06/21 06:11:52  blues
- small fixes

Revision 1.146.2.3  2003/06/20 22:32:57  orzech
- md5

Revision 1.146.2.2  2003/06/20 22:05:46  orzech
- up to 3.23.57 (bugs and noncritical sec issues fixed)

Revision 1.146.2.1  2003/03/16 20:41:37  kloczek
- updated to 3.23.56: only bug fixes.

Revision 1.146  2003/01/24 21:00:30  mis
- autoupdated to 3.23.55

Revision 1.145  2003/01/17 14:48:19  trojan
- added condidions for proper build with gcc > 2
- readded mysql-c++ patch (for gcc > 2)
- fixed comments

Revision 1.144  2003/01/10 21:57:26  tjbynum
- added conditional build for smaller phrases in fulltext search.

Revision 1.143  2002/12/18 20:06:55  qboosh
- c++ patch is obsolete, libstdc++ !needed (C++ operators are defined for gcc3)

Revision 1.142  2002/12/17 03:20:51  ankry
- cleaning

Revision 1.141  2002/12/16 15:27:54  qboosh
- SECURITY update to 3.23.54a
- removed obsolete ac/am patches, added info-res patch
- STBR to ra/updates/security

Revision 1.140  2002/11/27 18:49:07  mis
- moved mysql's home to /home/services/mysql

Revision 1.139  2002/11/25 14:17:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.138  2002/10/15 21:21:11  kloczek
- updated to 3.23.53: many bug fixes.

Revision 1.137  2002/10/11 14:58:23  zagrodzki
- added thread-safe libmysqlclient (libmysqlclient_r)
- rel. 3
- STBR

Revision 1.136  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.135  2002/08/17 21:02:47  qboosh
- better messages in pre, more specific Requires; release 2

Revision 1.134  2002/08/17 12:57:58  kloczek
- updated to 3.23.52: only bugfixes (fixed one security bug when having an
  empty databasename in the 'user.db' table),
- updated %files (check_files rules :).

Revision 1.133  2002/07/24 00:14:01  ankry
- perl(DBD::mysql) is provided by 2 modules: Req + _noautoreqdep
- release 4

Revision 1.132  2002/06/27 08:53:59  kloczek
- release 3,
- change run levels: run postgresql on 84 level (before apache) and stop on
  25 (after apache) - it is neccessary if localy runed apache uses mod_log_mysql
  module.

Revision 1.131  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.130  2002/06/19 08:03:45  kloczek
- release 2.

Revision 1.129  2002/06/18 08:43:50  wiget
kill Polished

Revision 1.128  2002/06/13 09:15:55  kloczek
- updated to 3.23.51 (bug fix release).

Revision 1.127  2002/06/09 16:17:44  qboosh
- mysqlbug moved to -libs instead of two copies in server and -client
- release 8

Revision 1.126  2002/05/21 23:14:13  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.125  2002/05/21 09:31:10  kloczek
- if it possible map %%{__cc} to %%{__cxx} in the same way as in mozilla.spec.

Revision 1.124  2002/05/19 10:19:44  ankry
- fixed build without /proc mounted (mysql-noproc.patch)
- some other patches rediffed
- release 7

Revision 1.123  2002/05/18 20:07:32  kloczek
- use %{__cc} ac %%{__cc} on system with gcc 2.95.x (so now mysql will not be
  linked with libstdc++ if it is possible).

Revision 1.122  2002/05/18 14:30:43  malekith
- mysqladmin moved to client
- rel 6

Revision 1.121  2002/05/15 11:33:44  zytek
- typo

Revision 1.120  2002/04/11 05:32:31  kloczek
- release 5.

Revision 1.119  2002/04/11 05:05:27  agaran
fixed s/tatic/static/

Revision 1.118  2002/04/07 08:57:34  kloczek
- mere translations from KSI.

Revision 1.117  2002/03/26 23:03:14  misiek
- some important libraries are only in static version, moved to devel;
  release 4

Revision 1.116  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.115  2002/03/05 18:17:31  filon
- added requirement for perl-Msql-Mysql-modules to pkg extras-perl
  (doesn't work without it)
- release 3

Revision 1.114  2002/02/26 13:23:26  baggins
- release 2
- fixed init script (mysql_logrotate didn't have rights to do the job)

Revision 1.113  2002/02/23 03:54:22  kloczek
- adapterized.

Revision 1.112  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.111  2002/02/18 13:22:45  areq
- 3.23.49, STBR
- Don't give warning for statement that is only a comment; This is needed for
  mysqldump --disable-keys to work.
- Fixed unlikely caching bug when doing a join without keys. In this case the
  last used field for a table always returned NULL.
- Added options to make LOAD DATA LOCAL INFILE more secure.
- MySQL binary release 3.23.48 for Linux contained a new glibc library,
  which has serious problems under high load and RedHat 7.2. The 3.23.49
  binary release doesn't have this problem.

Revision 1.110  2002/02/13 20:26:59  kloczek
- updated to 3.23.48 (bugfix release).

Revision 1.109  2002/01/18 02:14:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.108  2002/01/06 08:20:33  kloczek
- release 2: libmysql10{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.107  2001/12/28 13:47:35  mkierus
- updated to 3.23.47
- InnoDB now supports NULL in keys.
- Added 'DO expression' command.
- Fixed core-dump bug in replication when using SELECT RELEASE_LOCK();
- Added new statement DO expression,[expression].
- Added slave-skip-errors option
- Added statistics variables for all MySQL commands. (SHOW STATUS is now much
  longer).
- Fixed default values for InnoDB tables.
- Fixed that GROUP BY expr DESC works.
- Fixed bug when using t1 LEFT JOIN t2 ON t2.key=constant.
- mysql_config now also work with binary (relocated) distributions.

Revision 1.106  2001/12/20 20:12:50  qboosh
- noted bconds on top of spec
- fixed Nynorsk lang tag (nn not no@nynorsk)
- explicit file perms in -bench
- release 3

Revision 1.105  2001/12/01 21:45:55  qrczak
- mysql-c++.patch: add -lstdc++ when linking with libraries which use C++.
  I don't know how to fix this at library creation time because this
  (mysys) is a static library.
- Release 2.

Revision 1.104  2001/12/01 15:28:49  mkierus
- updated to 3.23.46

Revision 1.103  2001/11/23 16:20:53  kloczek
- merge zh_CN Summary from TurboLinux.

Revision 1.102  2001/11/23 14:37:52  mkierus
- updated to 3.23.45

Revision 1.101  2001/11/05 13:29:17  mkierus
- updated to 3.23.44

Revision 1.100  2001/10/06 20:58:38  kloczek
- updated to 3.23.43.

Revision 1.99  2001/09/24 15:46:08  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.98  2001/09/14 01:15:23  kloczek
- added am15 patch (fixes for allow use automake 1.5 on regenerate am suit),
- added automake, libtool to BuildRequires list.

Revision 1.97  2001/09/11 09:23:16  mis
- autoupdated to 3.23.42

Revision 1.96  2001/08/20 23:23:18  kloczek
- release 2,
- add --without-debug to configure parameters (depending on %%{debug}).

Revision 1.95  2001/08/13 23:33:58  kloczek
- updated to 3.23.41.

Revision 1.94  2001/07/26 05:42:21  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.92  2001/07/23 14:51:39  wiget
fixed acinclude.m4

Revision 1.91  2001/07/23 10:25:40  mis
- updated to 3.23.40
- commented out ac/am calls -- it doesn't work with new ac/am

Revision 1.90  2001/06/15 10:33:12  mis
- autoupdated to 3.23.39

Revision 1.89  2001/05/22 09:06:32  wiget
switch to new conditional builds macros
(bcond_on_ -> _with_/bcond_off_ -> _without_);
no release changes only simple s/// performed

Revision 1.88  2001/05/16 16:36:11  mis
- added cond build with DBD and InnoDB

Revision 1.87  2001/05/15 14:16:32  wiget
release 2

Revision 1.86  2001/05/15 14:16:01  wiget
fix libmysqlclient.la

Revision 1.85  2001/05/12 15:21:07  mis
- autoupdated to 3.23.38

Revision 1.84  2001/05/11 12:13:37  wiget
Release 3, add more include files to devel, fix Makefile.am

Revision 1.83  2001/05/06 20:47:22  kloczek
- typo.

Revision 1.82  2001/05/06 09:11:34  kloczek
- release 2: change BuildRequires for per to perl-devel >= 5.6.1.

Revision 1.81  2001/05/03 15:23:13  qboosh
- s/Corect/Correct/g

Revision 1.80  2001/04/20 05:53:26  mis
- autoupdated to 3.23.37

Revision 1.79  2001/04/17 12:04:52  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.78  2001/04/13 21:53:20  kloczek
- release 4.

Revision 1.77  2001/04/13 20:39:34  qboosh
- added rest of pl translations, fixed typo

Revision 1.76  2001/04/12 23:44:46  kloczek
- release 3: rebuild against readline 4.2.

Revision 1.75  2001/04/06 11:46:58  kloczek
- release 2.

Revision 1.74  2001/04/05 16:09:05  qboosh
- removed perldep patch - not necessary now
- use %%rpmcflags

Revision 1.73  2001/03/28 10:24:52  mis
- autoupdated to 3.23.36

Revision 1.72  2001/03/17 12:40:06  kloczek
- updated to 3.23.35 (this is mainly bug fix release).

Revision 1.71  2001/02/16 17:19:00  qboosh
- BuildRequires: autoconf

Revision 1.70  2001/02/13 15:59:30  kloczek
- updated to 3.23.33.

Revision 1.69  2001/02/10 15:47:24  kloczek
- release 6,
- added mysql-server to Obsoltest (for allow upgrade from rawhide version),
- added --enable-assembler and replace --with-charset=latin2 by
  --with-extra-charsets=all in autoconf script parameters,

Revision 1.68  2001/02/10 13:36:53  qboosh
- no_libnsl patch (integrated with no_libbind patch)
- opt patch (don't use stupid optimizations as -O6)

Revision 1.67  2001/01/25 20:03:25  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.66  2001/01/25 18:06:25  kloczek
- removed duplicated entry for pack_isam,
- added perl and perl-DBI to BuildRequires for allow generate correctly
  dependences.

Revision 1.65  2001/01/25 17:36:13  kloczek
- updated %files lists.

Revision 1.64  2001/01/25 16:28:09  kloczek
- Requires for rc-scripts changed to Prereq,
- do not use update-db after {user,group}{add,del},
- make spec %%{debug} ready.

Revision 1.63  2001/01/25 16:21:07  kloczek
- merge MYSQL_3_23 branch to HEAD.

Revision 1.62  2000/12/28 15:04:47  baggins
- release 12
- added opt patch (don't mess with CFLAGS)

Revision 1.61  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.60  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.59  2000/11/27 22:57:16  misiek
using update-db is obsolete; removed

Revision 1.58  2000/11/24 23:08:58  alchemyx
- in initialisation part of mysql.init PRIMARY KEY was too long - it caused
  MANY problems with privileges;

Revision 1.57  2000/10/26 10:03:37  mis
- revert upgrade under main trunk, 3.23.x series is prepared under
  MYSQL_3_23 branch(!)

Revision 1.55  2000/10/18 19:46:03  kloczek
- release 10.

Revision 1.54  2000/10/13 15:30:51  mis
- revert upgrade to 3.23.25 - ready to use 3.23.25 version is on
  MYSQL_3_23 branch

Revision 1.52  2000/10/04 00:09:00  kloczek
- release 9: use rpm new automation suit.

Revision 1.51.2.8  2001/01/23 18:12:17  wiget
- version 3.23.32
kloczek, merge this with HEAD

Revision 1.51.2.7  2001/01/22 11:43:04  wiget
3.23.31 - first production release in 3.23.X series

Revision 1.51.2.6  2001/01/11 16:51:30  mis
- updated to 3.23.30

Revision 1.51.2.5  2000/12/20 19:02:03  mis
- updated to 3.23.29

Revision 1.51.2.4  2000/11/28 16:12:48  mis
- up to 3.23.28

Revision 1.51.2.3  2000/10/26 09:22:35  mis
- updated to 3.23.27

Revision 1.51.2.2  2000/10/24 11:09:23  mis
- updated to 3.23.26

Revision 1.51.2.1  2000/10/03 14:11:52  mis
- updated to 3.23.25-beta
  3.23.x series is still beta, so branch is cretated.
  Compiled without Berkeley DB backend, it's really unstable yet.
  TODO:
  - adapt gethostbyname_r_is_in_libc_aka_no_libnsl patch
  - remove ELFs processing for perl provides/requires in perl.{req,prov}

Revision 1.51  2000/09/01 13:51:28  baggins
- release 8
- fixed logrotate config

Revision 1.50  2000/08/22 07:38:41  kloczek
- spec adapterized,
- added gethostbyname_r_is_in_libc_aka_no_libnsl patch - this causes not
  linking with libnsl.

Revision 1.49  2000/08/18 23:32:19  mis
- mysql-extras splitted to extras and extras-perl

Revision 1.48  2000/08/17 10:26:34  mis
- more perl scripts moved to extras subpackage, mysql-client is Perl
  independent now

Revision 1.47  2000/08/17 09:49:19  mis
- typo

Revision 1.46  2000/08/17 09:37:38  mis
- removed perl* dependency from mysql - new package mysql-extras is created;
- removed unneeded errmsg.txt from main and comp_err from devel package;
- added several logfiles /var/mysql/{err,log,update,isamlog};
- removed -m option from useradd call (/var/lib/mysql is included in
  package);
- added /etc/mysqld.conf;
- system readline is used instead of mysql's one;
- removed unneeded _*dir redefines;
- some cosmetits;
- release 7

Revision 1.45  2000/07/13 23:16:39  baggins
- release 6
- rebuild with ncurses 5.1

Revision 1.44  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.43  2000/06/07 03:47:22  kloczek
- spec adapterized.

Revision 1.42  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.41  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.40  2000/04/25 20:10:00  wiget
fix permision to /var/lib/mysql

Revision 1.39  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.38  2000/04/01 19:22:20  kloczek
- release 4,
- added Requires: rc-scripts >= 0.2.0 for rewrited rc script (waszi).

Revision 1.37  2000/04/01 11:14:58  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.36  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.35  2000/02/25 12:04:18  kloczek
- standarized %post,
- added missing remove user and group mysql in %preun,
- fixed add user and group mysql in %pre,
- removed safe_mysqld script (we have own procedure starting mysqld in init
  scripts for mysql).

Revision 1.34  2000/02/24 14:43:53  wiget
- improved init script

Revision 1.33  2000/02/23 17:54:27  wiget
3.22.32
